nautilus-dropbox: dropbox fails to start with a pylinux import error [solved: dropbox issue; fix found by deleting old install files]

Bug #1270116 reported by Bouke Bunnik on 2014-01-17
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Dropbox Share
Undecided
Unassigned
nautilus-dropbox (Ubuntu)
Undecided
Unassigned

Bug Description

Ubuntu 13.10
nautilus-dropbox 1.4.0-3ubuntu0.13.10.1

I recently updated to ubuntu 13.10 and found that I had no dropbox icon; Upon looking,
it turned out to be because drobox was not running. If I start it via:
dropbox start -i
I get:
--
Traceback (most recent call last):
  File "dropbox/client/main.py", line 13, in <module>
  File "autogen_explicit_imports.py", line 13, in <module>
  File "ui/common/selective_sync.py", line 6, in <module>
  File "arch/__init__.py", line 28, in <module>
  File "arch/linux/tracing.py", line 8, in <module>
  File "hard_trace.py", line 6, in <module>
  File "client_api/connection_hub.py", line 21, in <module>
  File "client_api/kv_connection.py", line 23, in <module>
  File "pylinux/__init__.py", line 71, in <module>
  File "cffi/api.py", line 311, in verify
  File "dropbox/overrides.py", line 398, in load_library
  File "cffi/verifier.py", line 69, in load_library
  File "cffi/verifier.py", line 154, in _load_library
  File "cffi/vengine_cpy.py", line 124, in load_library
VerificationError: importing '<HOME>/pylinux/__pycache__/_cffi__xa0c4f46bx1d95b4de.so': No module named _cffi__xa0c4f46bx1d95b4de
--
(with <HOME> the location of my home directory).

debian bug #734628 describes the same issue, and also a solution:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734628#10
--
From: Trevor Bekolay <email address hidden>
To: <email address hidden>
Subject: Re: Bug#734628: nautilus-dropbox: dropbox fails to start with a pylinux import error
Date: Wed, 8 Jan 2014 13:21:30 -0500
With some help from David at Dropbox, I fixed the issue by doing the
following:

  sudo rm -rf /var/lib/dropbox/.dropbox-dist
  dropbox start -i

Which essentially wipes out the old Dropbox app files and reinstalls them.
The issue seems to be related to recent Debian Python updates.
In any case, anyone affected with this issue should be able to
perform the above steps to fix this bug.
--

Not sure there is much nautilus-dropbox can do about this, as it seems to be related to
the binary that is downloaded from dropbox, though perhaps removing the /var/lib/dropbox/.dorpbox-dist
dir in pre-install could be considered if the update always will refresh that directory.

Thanks,
Bouke Bunnik

Bouke Bunnik (bosyber) on 2014-01-17
no longer affects: dropbox-share
summary: nautilus-dropbox: dropbox fails to start with a pylinux import error
- [solution: drobox issue; fix found]
+ [solved: dropbox issue; fix found by deleting old install files]

On Fri, Jan 17, 2014 at 11:01:39AM -0000, Bouke Bunnik wrote:
> Public bug reported:
>
> Ubuntu 13.10
> nautilus-dropbox 1.4.0-3ubuntu0.13.10.1
>
> I recently updated to ubuntu 13.10 and found that I had no dropbox icon; Upon looking,
> it turned out to be because drobox was not running. If I start it via:
> dropbox start -i
> I get:
> --
> Traceback (most recent call last):
> File "dropbox/client/main.py", line 13, in <module>
> File "autogen_explicit_imports.py", line 13, in <module>
> File "ui/common/selective_sync.py", line 6, in <module>
> File "arch/__init__.py", line 28, in <module>
> File "arch/linux/tracing.py", line 8, in <module>
> File "hard_trace.py", line 6, in <module>
> File "client_api/connection_hub.py", line 21, in <module>
> File "client_api/kv_connection.py", line 23, in <module>
> File "pylinux/__init__.py", line 71, in <module>
> File "cffi/api.py", line 311, in verify
> File "dropbox/overrides.py", line 398, in load_library
> File "cffi/verifier.py", line 69, in load_library
> File "cffi/verifier.py", line 154, in _load_library
> File "cffi/vengine_cpy.py", line 124, in load_library
> VerificationError: importing '<HOME>/pylinux/__pycache__/_cffi__xa0c4f46bx1d95b4de.so': No module named _cffi__xa0c4f46bx1d95b4de
> --
> (with <HOME> the location of my home directory).
>
> debian bug #734628 describes the same issue, and also a solution:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734628#10

As I mentioned in the Debian bug report when I closed[1] the bug, there's
nothing much we can do here. The problem lies in the proprietary bits of the
code, so this is Dropbox's problem to fix.

You can also resolve the issue by doing dpkg --purge nautilus-dropbox, and then
reinstalling it, or apt-get install --reinstall --purge nautilus-dropbox.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734628#15

  status wontfix

--
Kind regards,
Loong Jin

Changed in nautilus-dropbox (Ubuntu):
status: New → Won't Fix
Andre (ajx) wrote :

The solution to this bug is not trivial and cannot be done by "regular" users. I had to help out already 2 of my friends. I believe there are lots of users out there not being skilled enough to follow this procedure on their own. I believed Ubuntu wanted to be a users-friendly distribution...

For those who arrive at this bug report and are looking for tutorial on how to fix this bug, please head over to:
http://www.webupd8.org/2014/01/fix-dropbox-fails-to-start-with.html

(original upstream bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=734628 )

no longer affects: dropbox-share

On Wed, Jan 22, 2014 at 09:50:36AM -0000, Andre wrote:
> The solution to this bug is not trivial and cannot be done by "regular"
> users. I had to help out already 2 of my friends. I believe there are
> lots of users out there not being skilled enough to follow this
> procedure on their own. I believed Ubuntu wanted to be a users-friendly
> distribution...

Yeah we do, but there are limits to what can be done.

The actual Dropbox syncing daemon is proprietary, downloaded directly from the
Dropbox site and hence out of our control.

This is now broken for some reason or other, and you're reporting the bug to us
instead of to Dropbox themselves. I'm sorry, there really isn't much I can do
here.

--
Kind regards,
Loong Jin

Changed in dropbox-share:
status: New → Invalid
spectre (spectre3brad) wrote :

sudo rm -rf /var/lib/dropbox/.dropbox-dist
dropbox start -i

OK for me. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.